Rebalance

  • reference
When one or more nodes have been brought into or taken out of a cluster, rebalance redistributes the work of the Analytics Service among available nodes. Rebalance can be performed and configured by means of the REST API.

APIs in this Section

Rebalance must be performed whenever the number of nodes in a cluster has changed. For more information, see Add a Node and Rebalance and Remove a Node and Rebalance.

The REST API for rebalance is as follows:

HTTP Method URI Documented at

POST

/controller/rebalance

Rebalancing the Cluster

GET

/pools/default

Getting Rebalance Reason Codes

GET

/pools/default/rebalanceProgress

Getting Rebalance Progress

GET

/settings/retryRebalance

Configuring Rebalance Retries

POST

/settings/retryRebalance

Configuring Rebalance Retries

GET

/pools/default/pendingRetryRebalance

Getting Rebalance-Retry Status

POST

/controller/cancelRebalanceRetry/<rebalance-id>

Canceling Rebalance Retries